/* Board */
.memory-container {
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-evenly;
}
.memory-container .row {
	display: flex;
	align-items: center;
	justify-content: center;
}
.memory-container .tile {
	--tile-size: min(10vh, 20vw);
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 0.25vh;
	width: var(--tile-size);
	height: var(--tile-size);
	touch-action: manipulation;
	outline: none;
}
.memory-container .board-container.tiles-5-per-line .tile {
	--tile-size: min(8.5vh, 17vw);
}
.memory-container .tile img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}


/* Console */
.memory-container .console .row .tile {
	--tile-size: min(8.5vh, 17vw);
	font-family: var(--base-font-family);
	font-size: min(1.65vh, 3vw);
	line-height: 1.3;
	font-weight: 500;
	color: white;
	text-align: center;
	background-color: var(--secondary-color);
	border-radius: 17.5%;
	user-select: none;
}
.memory-container .console .row .tile.active {
	background-color: #e2e2e2;
	color: black;
}

/* Flip cards */
.memory-container .flip-card {
	overflow: hidden;
	position: relative;
}
.memory-container .flip-card-front, .flip-card-back {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	text-align: center;
	transition: transform 0.5s;
	-webkit-transition: transform 0.5s;
	transform-style: preserve-3d;
	-webkit-transform-style: preserve-3d;
	backface-visibility: hidden;
	-webkit-backface-visibility: hidden;
}
.memory-container .flip-card-front, .flip-card.hover .flip-card-back {
	transform: rotateY(0deg);
	-webkit-transform: rotateY(0deg);
}
.memory-container .flip-card-back, .flip-card.hover .flip-card-front {
	transform: rotateY(180deg);
	-webkit-transform: rotateY(180deg);
}
.memory-container .flip-card-front {
	background-color: var(--secondary-color);
}
